API referenceCartItem
Updates the CartItem resource.
Updates the CartItem resource.
PATCH
/api/cart_items/{id}curl -X PATCH "/api/cart_items/{id}" \
-H "apikey: $MEDIALISTER_API_KEY" \
-H "Content-Type: application/merge-patch+json" \
-d '{
"campaign": "/api/campaigns/abcd32bd-a699-4f3e-bb19-ea807a0a6fc8",
"excluded": false
}'Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
idstringpathrequiredCartItem identifier
Body
application/merge-patch+json
The updated CartItem resource
campaignstringexcludedboolean
Response
application/ld+json
CartItem resource updated
@contextone of@idstringrequired@typestringrequiredproductFormat.jsonld-cartItem.read_all.readpricestringcurrencyCurrency.jsonld-cartItem.read_all.readcartstring<iri-reference>flatFeestring | nullminFeestring | nullfeePercentstring | nullcampaignCampaign.jsonld-cartItem.read_all.readexcludedbooleanDefault:falsecartItemExtrasCartItemExtra.jsonld-cartItem.read_all.read[]idstring<uuid>createdAtstring<date-time>updatedAtstring<date-time>
{
"@context": "string",
"@id": "string",
"@type": "string",
"product": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"formatType": "/api/format_types/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"mediaProject": "/api/media_projects/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"price": 100.1,
"desiredPrice": "string",
"urlExamples": [
"string"
],
"currency": "/api/currencies/b64ed0ca-1a05-4898-9a52-765fed38bc5c",
"listed": false,
"byRequest": false,
"turnAroundTime": 0,
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"numericPrice": 0,
"visible": true,
"createdAtTimestamp": 0,
"updatedAtTimestamp": 0,
"status": 0
},
"price": "string",
"currency": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"symbol": "string",
"type": "fiat",
"decimals": 2
},
"cart": "https://example.com/",
"flatFee": "string",
"minFee": "string",
"feePercent": "string",
"campaign": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Campaign Name",
"goal": "My Goal",
"goalDetails": "seo-in-new-articles",
"domain": "string",
"budget": 0,
"publishingPeriod": 0,
"regions": [
"dXJuOm1ieHBsYzpSRUk",
"dXJuOm1ieHBsYzpSRUd"
],
"notificationsCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
},
"excluded": false,
"cartItemExtras": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"extra": {
"@context": "string",
"@id": "string",
"@type": "string",
"description": "string",
"conditions": {
"key": "string"
},
"name": "string",
"currency": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"symbol": "string",
"type": "fiat",
"decimals": 2
},
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
},
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"price": {}
}
],
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}